## DMS UIM Set CK Protection request DMS UIM Set CK Protection request |

## Functions

QmiMessageDmsUimSetCkProtectionInput * | qmi_message_dms_uim_set_ck_protection_input_new ()
QmiMessageDmsUimSetCkProtectionInput * | qmi_message_dms_uim_set_ck_protection_input_ref ()
void | qmi_message_dms_uim_set_ck_protection_input_unref ()
gboolean | qmi_message_dms_uim_set_ck_protection_input_get_facility ()
gboolean | qmi_message_dms_uim_set_ck_protection_input_set_facility ()
QmiMessageDmsUimSetCkProtectionOutput * | qmi_message_dms_uim_set_ck_protection_output_ref ()
void | qmi_message_dms_uim_set_ck_protection_output_unref ()
gboolean | qmi_message_dms_uim_set_ck_protection_output_get_verify_retries_left ()
gboolean | qmi_message_dms_uim_set_ck_protection_output_get_result ()
void | qmi_client_dms_uim_set_ck_protection ()
QmiMessageDmsUimSetCkProtectionOutput * | qmi_client_dms_uim_set_ck_protection_finish ()

## Types and Values

| QmiMessageDmsUimSetCkProtectionInput
| QmiMessageDmsUimSetCkProtectionOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsUimSetCkProtectionInput
        ╰── QmiMessageDmsUimSetCkProtectionOutput

## Description

## Functions

### qmi_message_dms_uim_set_ck_protection_input_new ()

    QmiMessageDmsUimSetCkProtectionInput *
    qmi_message_dms_uim_set_ck_protection_input_new
                                   (void);

Allocates a new QmiMessageDmsUimSetCkProtectionInput.

#### Returns

the newly created QmiMessageDmsUimSetCkProtectionInput. The returned value should be freed with `qmi_message_dms_uim_set_ck_protection_input_unref()`.

Since: 1.0

### qmi_message_dms_uim_set_ck_protection_input_ref ()

    QmiMessageDmsUimSetCkProtectionInput *
    qmi_message_dms_uim_set_ck_protection_input_ref
                                   (QmiMessageDmsUimSetCkProtectionInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimSetCkProtectionInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_set_ck_protection_input_unref ()

    void
    qmi_message_dms_uim_set_ck_protection_input_unref
                                   (QmiMessageDmsUimSetCkProtectionInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimSetCkProtectionInput. |

Since: 1.0

### qmi_message_dms_uim_set_ck_protection_input_get_facility ()

    gboolean
    qmi_message_dms_uim_set_ck_protection_input_get_facility
                                   (QmiMessageDmsUimSetCkProtectionInput *self,
                                    QmiDmsUimFacility *value_facility_facility,
                                    QmiDmsUimFacilityState *value_facility_facility_state,
                                    const gchar **value_facility_facility_depersonalization_control_key,
                                    GError **error);

Get the 'Facility' field from `self` .

#### Parameters

self | a QmiMessageDmsUimSetCkProtectionInput. |
value_facility_facility | a placeholder for the output QmiDmsUimFacility, or `NULL` if not required. | [out]
value_facility_facility_state | a placeholder for the output QmiDmsUimFacilityState, or `NULL` if not required. | [out]
value_facility_facility_depersonalization_control_key | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_set_ck_protection_input_set_facility ()

    gboolean
    qmi_message_dms_uim_set_ck_protection_input_set_facility
                                   (QmiMessageDmsUimSetCkProtectionInput *self,
                                    QmiDmsUimFacility value_facility_facility,
                                    QmiDmsUimFacilityState value_facility_facility_state,
                                    const gchar *value_facility_facility_depersonalization_control_key,
                                    GError **error);

Set the 'Facility' field in the message.

#### Parameters

self | a QmiMessageDmsUimSetCkProtectionInput. |
value_facility_facility | a QmiDmsUimFacility. |
value_facility_facility_state | a QmiDmsUimFacilityState. |
value_facility_facility_depersonalization_control_key | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_set_ck_protection_output_ref ()

    QmiMessageDmsUimSetCkProtectionOutput *
    qmi_message_dms_uim_set_ck_protection_output_ref
                                   (QmiMessageDmsUimSetCkProtectionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsUimSetCkProtectionOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_uim_set_ck_protection_output_unref ()

    void
    qmi_message_dms_uim_set_ck_protection_output_unref
                                   (QmiMessageDmsUimSetCkProtectionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsUimSetCkProtectionOutput. |

Since: 1.0

### qmi_message_dms_uim_set_ck_protection_output_get_verify_retries_left ()

    gboolean
    qmi_message_dms_uim_set_ck_protection_output_get_verify_retries_left
                                   (QmiMessageDmsUimSetCkProtectionOutput *self,
                                    guint8 *value_verify_retries_left,
                                    GError **error);

Get the 'Verify Retries Left' field from `self` .

#### Parameters

self | a QmiMessageDmsUimSetCkProtectionOutput. |
value_verify_retries_left | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_uim_set_ck_protection_output_get_result ()

    gboolean
    qmi_message_dms_uim_set_ck_protection_output_get_result
                                   (QmiMessageDmsUimSetCkProtectionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsUimSetCkProtectionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_dms_uim_set_ck_protection ()

    void
    qmi_client_dms_uim_set_ck_protection (QmiClientDms *self,
                                          QmiMessageDmsUimSetCkProtectionInput *input,
                                          guint timeout,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously sends a UIM Set CK Protection request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_uim_set_ck_protection_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsUimSetCkProtectionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_uim_set_ck_protection_finish ()

    QmiMessageDmsUimSetCkProtectionOutput *
    qmi_client_dms_uim_set_ck_protection_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_uim_set_ck_protection()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_uim_set_ck_protection()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsUimSetCkProtectionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_uim_set_ck_protection_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsUimSetCkProtectionInput

    typedef struct _QmiMessageDmsUimSetCkProtectionInput QmiMessageDmsUimSetCkProtectionInput;

The QmiMessageDmsUimSetCkProtectionInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsUimSetCkProtectionOutput

    typedef struct _QmiMessageDmsUimSetCkProtectionOutput QmiMessageDmsUimSetCkProtectionOutput;

The QmiMessageDmsUimSetCkProtectionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0